#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Audio
%define	pnam	FLAC-Header
Summary:	Audio::FLAC::Header - interface to FLAC header metadata
Summary(pl.UTF-8):	Audio::FLAC::HEADER - interfejs do metadanych nagłówków FLAC
Name:		perl-Audio-FLAC-Header
Version:	2.4
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Audio/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	743292694c050be1b10fb4a307f81e87
URL:		http://search.cpan.org/dist/Audio-FLAC-Header/
BuildRequires:	flac-devel
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module returns a hash containing basic information about a FLAC
file, a representation of the embedded cue sheet if one exists, as
well as tag information contained in the FLAC file's Vorbis tags.

%description -l pl.UTF-8
Ten moduł zwraca hasza zawierającego podstawowe informacje o pliku
FLAC reprezentujące osadzone wskazówki, a także informacje ze
znaczników Vorbis zawartych w pliku FLAC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%dir %{perl_vendorarch}/Audio/FLAC
%{perl_vendorarch}/Audio/FLAC/Header.pm
%dir %{perl_vendorarch}/auto/Audio/FLAC
%dir %{perl_vendorarch}/auto/Audio/FLAC/Header
%{perl_vendorarch}/auto/Audio/FLAC/Header/Header.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/FLAC/Header/Header.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Audio-FLAC-Header.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 839fb9e
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon Jul 11 2011 marti <marti@pld-linux.org> 0ca029b
- up to 2.4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 21bf110
- release 2

* Mon May 04 2009 areq <areq@pld-linux.org> 0313cc4
- 2.3

* Sun Mar 23 2008 twittner <twittner@pld-linux.org> f3d3572
- up to 2.0

* Thu Mar 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 5ddaf95
- pl, cleanup

* Tue Jan 22 2008 twittner <twittner@pld-linux.org> a42644b
- rel. 1

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 4492b6d
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sun Dec 23 2007 zbyniu <zbyniu@pld-linux.org> 8d981c7
- up to 1.9

* Sat Nov 10 2007 twittner <twittner@pld-linux.org> 4932e78
- initial, by pldcpan

